# @PKG_NAME@–@PKG_VERSION@
# Config File for process_perfdata.pl
#
# More info on RRDtool can be found at www.rrdtool.org

#
# process_perfdata.pl timeout in seconds 
#  
TIMEOUT = 15

#
# Use RRDs Perl module
#
USE_RRDs = 1

#
# Path to XML/RRD files 
#
RRDPATH = @PERFDATA_DIR@

#
# Location of RRDtool binary
#
RRDTOOL = @RRDTOOL@

#
# Location of PNP config files
#
CFG_DIR = @sysconfdir@

#
# Use a single RRD database per service 
# one or more datasources per RRD database
# RRD_STORAGE_TYPE = SINGLE
#
# Use multiple RRD databases per service
# one RRD database per datasource.
# RRD_STORAGE_TYPE = MULTIPLE
#
RRD_STORAGE_TYPE = SINGLE

#
# Max. interval between samples/updates
#
RRD_HEARTBEAT = 8460

#
# File with RRA options used to create new RRD files
#
RRA_CFG = @sysconfdir@/rra.cfg

#
# Interval at which PDPs are generated
#
RRA_STEP = 60

#
# Name of the log file
#
LOG_FILE = @PERFDATA_LOG@

#
# Loglevel 0=silent 1=normal 2=debug
#
LOG_LEVEL = @DEBUG@

#
# XML encoding
# The supported encodings are ISO-8859-1, UTF-8 and US-ASCII.
# http://www.php.net/xml-parser-create
# 
XML_ENC = UTF-8

#
# XML update delay in seconds
# 0 = Update XML Files everytime new data arrives
#
# Use this option to reduce disk I/O
#   
XML_UPDATE_DELAY = 0

#
# Use only with RRDtool svn revision 1511+
#
# RRD_DAEMON_OPTS = unix:/tmp/rrdcached.sock
RRD_DAEMON_OPTS = 

#
# Spool directory used for internal statistics
#
STATS_DIR = @localstatedir@/stats


#########################################################
# Gearman Worker Config
# Only used when running as Gearman worker

#
# How many child processes
#
PREFORK = 1

#
# Gearman server to connect to
# Comma separated list of Gearman job servers
#
GEARMAN_HOST = localhost:4730

#
# Restart child process after a given count of requests 
# 
REQUESTS_PER_CHILD = 10000

#
# Enables or disables encryption.
# It is strongly advised to not disable encryption, or
# anybody will be able to inject packages to your worker.
# When using encryption, you will have to specify a shared
# secret eithr via the KEY or the KEY_FILE option.
# Default is 1.
#
ENCRYPTION = 1

#
# A shared password which will be used for
# encryption of data pakets. Should be at least 8
# bytes long. Maximum length is 32 characters.
#
KEY = should_be_changed

#
# The shared password will be read from this file.
# Only the first 32 characters will be used.
#
# KEY_FILE = @sysconfdir@/secret.key 
